pydo.genai.detach_agent()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.genai.detach_agent(
    parent_agent_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
    child_agent_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
)
Returns JSONRaises HttpResponseError

Description

To delete an agent route from a parent agent, send a DELETE request to /v2/gen-ai/agents/{parent_agent_uuid}/child_agents/{child_agent_uuid}.

Parameters

parent_agent_uuid string required

Pagent agent id

child_agent_uuid string required

Routed agent id

Response Example

Show Response Example
{
  "child_agent_uuid": "123e4567-e89b-12d3-a456-426614174000",
  "parent_agent_uuid": "123e4567-e89b-12d3-a456-426614174000"
}

More Information

See /v2/gen-ai/agents/{parent_agent_uuid}/child_agents/{child_agent_uuid} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.